<?php
/**
 * Template part for displaying single artist content
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Phase
 * @version 1.2.8
 */
$layout = ( get_post_meta( get_the_ID(), '_post_layout', true ) ) ? get_post_meta( get_the_ID(), '_post_layout', true ) : 'sidebar-left';
$info_position = ( get_post_meta( get_the_ID(), '_post_artist_info_position', true ) ) ? get_post_meta( get_the_ID(), '_post_artist_info_position', true ) : 'after';

if ( 'centered' !== $layout ) {
	$info_position = 'after';
}
?>
<article <?php phase_post_attr(); ?>>
	<?php if ( 'custom' === $layout ) : ?>
		<?php the_content(); ?>
	<?php else : ?>
		<?php if ( 'before' === $info_position ) : ?>
			<div class="artist-info-container clearfix">
				<h2 class="entry-title"><?php the_tittle(); ?></h2>
				<div class="artist-excerpt-container">
					<?php
						if ( has_excerpt() ) {
							/**
							 * The excerpt
							 */
							the_excerpt();
						}
					?>
				</div><!-- .artist-excerpt-container -->
				<div class="artist-meta-container">
					<?php
						/**
						 * Artist Meta Hook
						 */
						do_action( 'phase_artist_meta' );
					?>
					<?php
						/**
						 * Share buttons
						 */
						do_action( 'phase_share' );
					?>
				</div><!-- .artist-meta-container -->
			</div><!-- .artist-info -->
		<?php endif; ?>
		<div class="artist-content clearfix">
			<?php
				/**
				 * Artist Meta Tabs
				 */
				do_action( 'phase_artist_content' );
			?>
		</div><!-- .artist-content -->
		<?php if ( 'after' === $info_position ) : ?>
			<div class="artist-info-container clearfix">
				<h2 class="entry-title"><?php echo apply_filters( 'phase_single_artist_title', get_the_title() ); ?></h2>
				<div class="artist-excerpt-container">
					<?php
						if ( has_excerpt() ) {
							/**
							 * The excerpt
							 */
							the_excerpt();
						}
					?>
				</div><!-- .artist-excerpt-container -->
				<div class="artist-meta-container">
					<?php
						/**
						 * Artist Meta Hook
						 */
						do_action( 'phase_artist_meta' );
					?>
					<?php
						/**
						 * Share buttons
						 */
						do_action( 'phase_share' );
					?>
				</div><!-- .artist-meta-container -->
			</div><!-- .artist-info -->
		<?php endif; ?>
	<?php endif; ?>
</article><!-- #post-## -->