<?php
/**
 * Template part for displaying artist posts grid layout
 *
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Phase
 * @version 1.2.8
 */
extract( wp_parse_args( $template_args, array(
	'overlay_color' => 'auto',
	'overlay_custom_color' => '',
	'overlay_opacity' => 88,
) ) );
?>
<article <?php phase_post_attr(); ?>>
	<div class="entry-box">
		<div class="entry-container">
			<a itemprop="url" class="entry-link-mask" href="<?php the_permalink(); ?>"></a>
			<div class="entry-image">
				<div class="entry-cover">
					<?php
						echo phase_background_img( array(
							'background_img_size' => 'large',
						) );
					?>
				</div><!-- entry-cover -->
			</div><!-- .entry-image -->
			<div class="entry-inner">
				<?php
					$dominant_color = phase_get_image_dominant_color( get_post_thumbnail_id() );

					if ( $dominant_color && 'auto' === $overlay_color ) {
						$overlay_custom_color = $dominant_color;
					}

					echo phase_background_overlay( array(
						'overlay_color' => $overlay_color,
						'overlay_custom_color' => $overlay_custom_color,
						'overlay_opacity' => $overlay_opacity, )
					);
				?>
				<div class="entry-summary">
					<a itemprop="url" href="<?php the_permalink(); ?>">
						<?php the_title( '<h3 itemprop="name" class="entry-title">', '</h3>' ) ?>
					</a>
					<div class="entry-taxonomy">
						<?php echo get_the_term_list( get_the_ID(), 'artist_genre', '', ' / ', '' ); ?>
					</div><!-- .entry-taxonomy -->
				</div><!--  .entry-summary  -->
			</div><!--  .entry-summary-container  -->
		</div>
	</div><!-- .entry-container -->
</article><!-- #post-## -->