<?php
/**
 * Template part for displaying video posts layout
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Phase
 * @version 1.2.8
 */
extract( wp_parse_args( $template_args, array(
	'video_onclick' => phase_get_theme_mod( 'video_onclick', 'lightbox' ),
	'video_preview' => false,
) ) );

// Video link
$permalink = ( 'lightbox' === $video_onclick ) ? phase_get_first_video_url() : get_the_permalink();

// Link class
$link_class = 'entry-link-mask';

if ( ( 'lightbox' === $video_onclick ) ) {
	$link_class .= ' lightbox-video pause-players';
}
?>
<article <?php phase_post_attr(); ?>>
	<div class="entry-box">
		<div class="entry-outer">
			<div class="entry-container">
				<a href="<?php echo esc_url( $permalink ); ?>" class="<?php echo phase_sanitize_html_classes( $link_class ) ?>"></a>
				<?php
					if ( $video_preview ) {
						/**
						 * Video Background
						 */
						echo phase_background_video( '', true );
					}
				?>
				<div class="entry-image">
					<?php
						echo phase_background_img( array(
							'background_img_size' => 'medium',
							'placeholder_fallback' => true,
						) );
					?>
				</div><!-- .entry-image -->
				<div class="video-play-button">
					<span class="fa fa-3x video-play-icon"></span>
				</div><!-- .video-play-button -->
				<div class="video-summary">
					<div class="video-summary-inner">
						<h2 class="entry-title">
							<?php the_title(); ?>
						</h2>
					</div><!-- .video-summary-inner -->
				</div><!-- .video-summary -->
			</div><!-- .entry-container -->
		</div><!-- .entry-outer -->
	</div><!-- .entry-box -->
</article>