<?php
/**
 * Phase events
 *
 * @package WordPress
 * @subpackage Phase
 * @version 1.2.8
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function phase_set_artist_mods( $mods ) {

	if ( class_exists( 'Wolf_Artists' ) ) {
		$mods['wolf_artists'] = array(
			'priority' => 45,
			'id' => 'wolf_artists',
			'title' => esc_html__( 'Artists', 'phase' ),
			'icon' => 'admin-users',
			'options' => array(

				'artist_layout' => array(
					'id' => 'artist_layout',
					'label' => esc_html__( 'Layout', 'phase' ),
					'type' => 'select',
					'choices' => array(
						'standard' => esc_html__( 'Standard', 'phase' ),
						'fullwidth' => esc_html__( 'Full width', 'phase' ),
						'sidebar-right' => esc_html__( 'Sidebar at right', 'phase' ),
						'sidebar-left' => esc_html__( 'Sidebar at left', 'phase' ),
					),
					'transport' => 'postMessage',
					'description' => esc_html__( 'For "Sidebar" layouts, the sidebar will be visible if it contains widgets.', 'phase' ),
				),

				'artist_display' => array(
					'id' => 'artist_display',
					'label' => esc_html__( 'Display', 'phase' ),
					'type' => 'select',
					'choices' => apply_filters( 'phase_artist_display_options', array(
						'list' => esc_html__( 'List', 'phase' ),
					) ),
				),

				'artist_grid_padding' => array(
					'id' => 'artist_grid_padding',
					'label' => esc_html__( 'Padding', 'phase' ),
					'type' => 'select',
					'choices' => array(
						'yes' => esc_html__( 'Yes', 'phase' ),
						'no' => esc_html__( 'No', 'phase' ),
					),
					'transport' => 'postMessage',
				),

				'artist_pagination' => array(
					'id' => 'artist_pagination',
					'label' => esc_html__( 'Artists Archive Pagination', 'phase' ),
					'type' => 'select',
					'choices' => array(
						'none' => esc_html__( 'None', 'phase' ),
						'standard_pagination' => esc_html__( 'Numeric Pagination', 'phase' ),
						'load_more' => esc_html__( 'Load More Button', 'phase' ),
					),
					'description' => esc_html__( 'You must set a number of posts per page below. The category filter will not be disabled.', 'phase' ),
				),

				'artists_per_page' => array(
					'label' => esc_html__( 'Artists per Page', 'phase' ),
					'id' => 'artists_per_page',
					'type' => 'text',
					'placeholder' => 6,
				),
			),
		);
	}

	return $mods;

}
add_filter( 'phase_customizer_mods', 'phase_set_artist_mods' );