<?php
/**
 * Phase events
 *
 * @package WordPress
 * @subpackage Phase
 * @version 1.2.8
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function phase_set_event_mods( $mods ) {

	if ( class_exists( 'Wolf_Events' ) ) {
		$mods['wolf_events'] = array(
			'priority' => 45,
			'id' => 'wolf_events',
			'title' => esc_html__( 'Events', 'phase' ),
			'icon' => 'calendar-alt',
			'options' => array(

				'event_layout' => array(
					'id' => 'event_layout',
					'label' => esc_html__( 'Layout', 'phase' ),
					'type' => 'select',
					'choices' => array(
						'standard' => esc_html__( 'Standard', 'phase' ),
						'fullwidth' => esc_html__( 'Full width', 'phase' ),
						'sidebar-right' => esc_html__( 'Sidebar at right', 'phase' ),
						'sidebar-left' => esc_html__( 'Sidebar at left', 'phase' ),
					),
					'transport' => 'postMessage',
					'description' => esc_html__( 'For "Sidebar" layouts, the sidebar will be visible if it contains widgets.', 'phase' ),
				),

				'event_display' => array(
					'id' => 'event_display',
					'label' => esc_html__( 'Display', 'phase' ),
					'type' => 'select',
					'choices' => apply_filters( 'phase_list_display_options', array(
						'list' => esc_html__( 'List', 'phase' ),
					) ),
				),

				'event_grid_padding' => array(
					'id' => 'event_grid_padding',
					'label' => esc_html__( 'Padding', 'phase' ),
					'type' => 'select',
					'choices' => array(
						'yes' => esc_html__( 'Yes', 'phase' ),
						'no' => esc_html__( 'No', 'phase' ),
					),
					'transport' => 'postMessage',
				),
			),
		);
	}

	return $mods;

}
add_filter( 'phase_customizer_mods', 'phase_set_event_mods' );