<?php
/**
 * Phase footer
 *
 * @package WordPress
 * @subpackage Phase
 * @version 1.2.8
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function phase_set_footer_mods( $mods ) {

	$mods['footer'] = array(

		'id' => 'footer',
		'title' => esc_html__( 'Footer', 'phase' ),
		'icon' => 'welcome-widgets-menus',
		'options' => array(

			'footer_type' => array(
				'label' => esc_html__( 'Footer Type', 'phase' ),
				'id' => 'footer_type',
				'type' => 'select',
				'choices' => array(
		 			'standard' => esc_html__( 'Standard', 'phase' ),
					'uncover' => esc_html__( 'Uncover', 'phase' ),
					'hidden' => esc_html__( 'No Footer', 'phase' ),
				),
				'transport' => 'postMessage',
			),

			array(
				'label' => esc_html__( 'Footer Width', 'phase' ),
				'id' => 'footer_layout',
				'type' => 'select',
				'choices' => array(
		 			'boxed' => esc_html__( 'Boxed', 'phase' ),
					'wide' => esc_html__( 'Wide', 'phase' ),
				),
				'transport' => 'postMessage',
			),

			array(
				'label' => esc_html__( 'Foot Widgets Layout', 'phase' ),
				'id' => 'footer_widgets_layout',
				'type' => 'select',
				'choices' => array(
		 			'3-cols' => esc_html__( '3 Columns', 'phase' ),
					'4-cols' => esc_html__( '4 Columns', 'phase' ),
					'one-half-two-quarter' => esc_html__( '1 Half/2 Quarters', 'phase' ),
					'two-quarter-one-half' => esc_html__( '2 Quarters/1 Half', 'phase' ),
				),
				'transport' => 'postMessage',
			),

			array(
				'label' => esc_html__( 'Bottom Bar Layout', 'phase' ),
				'id' => 'bottom_bar_layout',
				'type' => 'select',
				'choices' => array(
					'centered' => esc_html__( 'Centered', 'phase' ),
					'inline' => esc_html__( 'Inline', 'phase' ),
				),
				'transport' => 'postMessage',
			),

			'footer_socials' => array(
				'id' => 'footer_socials',
				'label' => esc_html__( 'Socials', 'phase' ),
				'type' => 'text',
				'description' => esc_html__( 'The list of social services to display in the bottom bar. (eg: facebook,twitter,instagram)', 'phase' ),
			),

			'copyright' => array(
				'id' => 'copyright',
				'label' => esc_html__( 'Copyright Text', 'phase' ),
				'type' => 'text',
			),
		),
	);

	if ( class_exists( 'Wolf_Vc_Content_Block' ) ) {
		$mods['footer']['options']['footer_type']['description'] = sprintf(
			phase_kses(
				__( 'This is the default footer settings. You can leave the fields below empty and use a <a href="%s" target="_blank">content block</a> instead for more flexibility. See the customizer "Layout" tab or the page options below your text editor.', 'phase' )
			),
			'http://wlfthm.es/content-blocks'
		); 
	}

	return $mods;
}
add_filter( 'phase_customizer_mods', 'phase_set_footer_mods' );