<?php
/**
 * Phase header_settings
 *
 * @package WordPress
 * @subpackage Phase
 * @version 1.2.8
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function phase_set_header_settings_mods( $mods ) {

	$mods['header_settings'] = array(

		'id' => 'header_settings',
		'title' => esc_html__( 'Header Layout', 'phase' ),
		'icon' => 'editor-table',
		'options' => array(

			'hero_layout' => array(
				'label'	=> esc_html__( 'Page Header Layout', 'phase' ),
				'id'	=> 'hero_layout',
				'type'	=> 'select',
				'choices' => array(
					'standard' => esc_html__( 'Standard', 'phase' ),
					'big' => esc_html__( 'Big', 'phase' ),
					'small' => esc_html__( 'Small', 'phase' ),
					'fullheight' => esc_html__( 'Full Height', 'phase' ),
					'none' => esc_html__( 'No header', 'phase' ),
				),
				'transport' => 'postMessage',
			),

			'hero_background_effect' => array(
				'id' =>'hero_background_effect',
				'label' => esc_html__( 'Header Image Effect', 'phase' ),
				'type' => 'select',
				'choices' => array(
					'parallax' => esc_html__( 'Parallax', 'phase' ),
					'zoomin' => esc_html__( 'Zoom', 'phase' ),
					'none' => esc_html__( 'None', 'phase' ),
				),
			),

			'hero_scrolldown_arrow' => array(
				'id' =>'hero_scrolldown_arrow',
				'label' => esc_html__( 'Scroll Down arrow', 'phase' ),
				'type' => 'select',
				'choices' => array(
					'yes' => esc_html__( 'Yes', 'phase' ),
					'' => esc_html__( 'No', 'phase' ),
				),
			),

			array(
				'label'	=> esc_html__( 'Header Overlay', 'phase' ),
				'id'	=> 'hero_overlay',
				'type'	=> 'select',
				'choices' => array(
					'' => esc_html__( 'Default', 'phase' ),
					'custom' => esc_html__( 'Custom', 'phase' ),
					'none' => esc_html__( 'None', 'phase' ),
				),
			),

			array(
				'label'	=> esc_html__( 'Overlay Color', 'phase' ),
				'id'	=> 'hero_overlay_color',
				'type'	=> 'color',
				'value' 	=> '#000000',
			),

			array(
				'label'	=> esc_html__( 'Overlay Opacity (in percent)', 'phase' ),
				'id'	=> 'hero_overlay_opacity',
				'desc'	=> esc_html__( 'Adapt the header overlay opacity if needed', 'phase' ),
				'type'	=> 'text',
				'value'	=> 40,
			),
		),
	);

	if ( class_exists( 'Wolf_Vc_Content_Block' ) ) {
		$mods['header_settings']['options']['hero_layout']['description'] = sprintf(
			phase_kses(
				__( 'The header can be overwritten by a <a href="%s" target="_blank">content block</a> on all pages or on specific pages. See the customizer "Layout" tab or the page options below your text editor.', 'phase' )
			),
			'http://wlfthm.es/content-blocks'
		); 
	}

	return $mods;
}
add_filter( 'phase_customizer_mods', 'phase_set_header_settings_mods' );