<?php
/**
 * Phase loading
 *
 * @package WordPress
 * @subpackage Phase
 * @version 1.2.8
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function phase_set_loading_mods( $mods ) {

	$mods['loading'] = array(

		'id' => 'loading',
		'title' => esc_html__( 'Loading', 'phase' ),
		'icon' => 'update',
		'options' => array(

			array(
				'label' => esc_html__( 'Loading Animation Type', 'phase' ),
				'id' => 'loading_animation_type',
				'type' => 'select',
				'choices' => array(
					'spinner' => esc_html__( 'Spinner', 'phase' ),
		 			'none' => esc_html__( 'None', 'phase' ),
				),
			),
		),
	);
	return $mods;
}
add_filter( 'phase_customizer_mods', 'phase_set_loading_mods' );