<?php
/**
 * Phase customizer logo mods
 *
 * @package WordPress
 * @subpackage Phase
 * @version 1.2.8
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/**
 * Set color schemes
 */
function phase_set_logo_mods( $mods ) {

	$mods['logo'] = array(
		'id' => 'logo',
		'title' => esc_html__( 'Logo', 'phase' ),
		'icon' => 'visibility',
		'description' => sprintf(
			wp_kses(
				__( 'Your theme recommends a logo size of <strong>%d &times; %d</strong> pixels.', 'phase' ),
				array(
					'strong' => array(),
				)
			),
			180, 80
		),
		'options' => array(

			'logo_dark' => array(
				'id' => 'logo_dark',
				'label' => esc_html__( 'Logo - Dark Version', 'phase' ),
				'type' => 'image',
			),

			'logo_light' => array(
				'id' => 'logo_light',
				'label' => esc_html__( 'Logo - Light Version', 'phase' ),
				'type' => 'image',
			),

			'logo_max_width' => array(
				'id' => 'logo_max_width',
				'label' => esc_html__( 'Logo Max Width (don\'t ommit px )', 'phase' ),
				'type' => 'text',
			),

			'logo_visibility' => array(
				'id' => 'logo_visibility',
				'label' => esc_html__( 'Visibility', 'phase' ),
				'type' => 'select',
				'choices' => array(
					'always' => esc_html__( 'Always', 'phase' ),
					'sticky_menu' => esc_html__( 'When menu is sticky only', 'phase' ),
				),
				'transport' => 'postMessage',
			),
		),
	);

	return $mods;

}
add_filter( 'phase_customizer_mods', 'phase_set_logo_mods' );