<?php
/**
 * Phase shop
 *
 * @package WordPress
 * @subpackage Phase
 * @version 1.2.8
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function phase_set_product_mods( $mods ) {

	if ( class_exists( 'WooCommerce' ) ) {
		$mods['shop'] = array(
			'id' => 'shop',
			'title' => esc_html__( 'Shop', 'phase' ),
			'icon' => 'cart',
			'options' => array(

				'product_layout' => array(
					'id' => 'product_layout',
					'label' => esc_html__( 'Products Layout', 'phase' ),
					'type' => 'select',
					'choices' => array(
						'standard' => esc_html__( 'Standard', 'phase' ),
						'sidebar-right' => esc_html__( 'Sidebar at right', 'phase' ),
						'sidebar-left' => esc_html__( 'Sidebar at left', 'phase' ),
						'fullwidth' => esc_html__( 'Full width', 'phase' ),
					),
					'transport' => 'postMessage',
				),

				'product_display' => array(
					'id' =>'product_display',
					'label' => esc_html__( 'Products Archive Display', 'phase' ),
					'type' => 'select',
					'choices' => apply_filters( 'phase_product_display_options', array(
						'grid_classic' => esc_html__( 'Grid', 'phase' ),
					) ),
				),
				'product_single_layout' => array(
					'id' => 'product_single_layout',
					'label' => esc_html__( 'Single Product Layout', 'phase' ),
					'type' => 'select',
					'choices' => array(
						'standard' => esc_html__( 'Standard', 'phase' ),
						'sidebar-right' => esc_html__( 'Sidebar at right', 'phase' ),
						'sidebar-left' => esc_html__( 'Sidebar at left', 'phase' ),
						'fullwidth' => esc_html__( 'Full Width', 'phase' ),
					),
					'transport' => 'postMessage',
				),

				'product_columns' => array(
					'id' => 'product_columns',
					'label' => esc_html__( 'Columns', 'phase' ),
					'type' => 'select',
					'choices' => array(
						'default' => esc_html__( 'Auto', 'phase' ),
						3 => 3,
						2 => 2,
						4 => 4,
						6 => 6,
					),
				),

				'product_item_animation' => array(
					'label' => esc_html__( 'Shop Archive Item Animation', 'phase' ),
					'id' => 'product_item_animation',
					'type' => 'select',
					'choices' => phase_get_animations(),
				),

				'product_zoom' => array(
					'label' => esc_html__( 'Single Product Zoom', 'phase' ),
					'id' => 'product_zoom',
					'type' => 'checkbox',
				),

				'related_products_carousel' => array(
					'label' => esc_html__( 'Related Products Carousel', 'phase' ),
					'id' => 'related_products_carousel',
					'type' => 'checkbox',
				),

				'cart_menu_item' => array(
					'label' => esc_html__( 'Add a "Cart" Menu Item', 'phase' ),
					'id' => 'cart_menu_item',
					'type' => 'checkbox',
				),

				'account_menu_item' => array(
					'label' => esc_html__( 'Add a "Account" Menu Item', 'phase' ),
					'id' => 'account_menu_item',
					'type' => 'checkbox',
				),

				'shop_search_menu_item' => array(
					'label' => esc_html__( 'Search Menu Item', 'phase' ),
					'id' => 'shop_search_menu_item',
					'type' => 'checkbox',
				),

				'products_per_page' => array(
					'label' => esc_html__( 'Products per Page', 'phase' ),
					'id' => 'products_per_page',
					'type' => 'text',
					'placeholder' => 12,
				),
			),
		);
	}

	if ( class_exists( 'Wolf_WooCommerce_Wishlist' ) && class_exists( 'WooCommerce' ) ) {
		$mods['shop']['options']['wishlist_menu_item'] = array(
				'label' => esc_html__( 'Wishlist Menu Item', 'phase' ),
				'id' => 'wishlist_menu_item',
				'type' => 'checkbox',
		);
	}

	return $mods;
}
add_filter( 'phase_customizer_mods', 'phase_set_product_mods' );