<?php
/**
 * Phase Socials
 *
 * @package WordPress
 * @subpackage Phase
 * @version 1.2.8
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function phase_set_socials_mods( $mods ) {

	if ( function_exists( 'wvc_get_socials' ) ) {

		$socials = wvc_get_socials();

		$mods['socials'] = array(
			'id' => 'socials',
			'title' => esc_html__( 'Social Networks', 'phase' ),
			'icon' => 'share',
			'options' => array(),
		);

		foreach ( $socials as $social ) {
			$mods['socials']['options'][ $social ] = array(
				'id' => $social,
				'label' => ucfirst( $social ),
				'type' => 'text',
			);
		}
	}

	return $mods;
}
add_filter( 'phase_customizer_mods', 'phase_set_socials_mods' );