<?php
/**
 * Phase videos
 *
 * @package WordPress
 * @subpackage Phase
 * @version 1.2.8
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function phase_set_video_mods( $mods ) {

	if ( class_exists( 'Wolf_Videos' ) ) {
		$mods['wolf_videos'] = array(
			'id' => 'wolf_videos',
			'title' => esc_html__( 'Videos', 'phase' ),
			'icon' => 'editor-video',
			'options' => array(

				'video_layout' => array(
					'id' => 'video_layout',
					'label' => esc_html__( 'Layout', 'phase' ),
					'type' => 'select',
					'choices' => array(
						'standard' => esc_html__( 'Standard', 'phase' ),
						'fullwidth' => esc_html__( 'Full width', 'phase' ),
						'sidebar-right' => esc_html__( 'Sidebar at right', 'phase' ),
						'sidebar-left' => esc_html__( 'Sidebar at left', 'phase' ),
					),
					'description' => esc_html__( 'For "Sidebar" layouts, the sidebar will be visible if it contains widgets.', 'phase' ),
				),

				'video_grid_padding' => array(
					'id' => 'video_grid_padding',
					'label' => esc_html__( 'Padding', 'phase' ),
					'type' => 'select',
					'choices' => array(
						'yes' => esc_html__( 'Yes', 'phase' ),
						'no' => esc_html__( 'No', 'phase' ),
					),
					'transport' => 'postMessage',
				),

				'video_display' => array(
					'id' => 'video_display',
					'label' => esc_html__( 'Display', 'phase' ),
					'type' => 'select',
					'choices' => apply_filters( 'phase_video_display_options', array(
						'grid' => esc_html__( 'Grid', 'phase' ),
					) ),
				),

				'video_item_animation' => array(
					'label' => esc_html__( 'Video Archive Item Animation', 'phase' ),
					'id' => 'video_item_animation',
					'type' => 'select',
					'choices' => phase_get_animations(),
				),

				'video_onclick' => array(
					'label' => esc_html__( 'On Click', 'phase' ),
					'id' => 'video_onclick',
					'type' => 'select',
					'choices' => apply_filters( 'phase_video_onclick', array(
							'lightbox' => esc_html__( 'Open Video in Lightbox', 'phase' ),
							'default' => esc_html__( 'Go to the Video Page', 'phase' ),
						)
					),
				),

				'video_pagination' => array(
					'id' => 'video_pagination',
					'label' => esc_html__( 'Video Archive Pagination', 'phase' ),
					'type' => 'select',
					'choices' => array(
						'none' => esc_html__( 'None', 'phase' ),
						'standard_pagination' => esc_html__( 'Numeric Pagination', 'phase' ),
						'load_more' => esc_html__( 'Load More Button', 'phase' ),
					),
					'description' => esc_html__( 'You must set a number of posts per page below. The category filter will not be disabled.', 'phase' ),
				),

				'videos_per_page' => array(
					'label' => esc_html__( 'Videos per Page', 'phase' ),
					'id' => 'videos_per_page',
					'type' => 'text',
					'placeholder' => 6,
				),

				'video_single_layout' => array(
					'id' =>'video_single_layout',
					'label' => esc_html__( 'Single Post Layout', 'phase' ),
					'type' => 'select',
					'choices' => array(
						'sidebar-right' => esc_html__( 'Sidebar Right', 'phase' ),
						'sidebar-left' => esc_html__( 'Sidebar Left', 'phase' ),
						'no-sidebar' => esc_html__( 'No Sidebar', 'phase' ),
						'fullwidth' => esc_html__( 'Full width', 'phase' ),
					),
				),

				/*'video_columns' => array(
					'id' => 'video_columns',
					'label' => esc_html__( 'Columns', 'phase' ),
					'type' => 'select',
					'choices' => array(
						3 => 3,
						2 => 2,
						4 => 4,
						5 => 5,
						6 => 6,
					),
					'transport' => 'postMessage',
				),*/
			),
		);
	}

	return $mods;
}
add_filter( 'phase_customizer_mods', 'phase_set_video_mods' );